[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'WSControls' (#lcl)

# TWSControl

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: wscontrols.pp line 86

`type TWSControl = class(TWSLCLComponent)`
`published`
`class procedure AddControl(); virtual;` |  |
`class function GetConstraints(); virtual;` |  |
`class function GetDefaultColor(); virtual;` |  |
`class procedure ConstraintWidth(); virtual;` |  |
`class procedure ConstraintHeight(); virtual;` |  |
`class function GetCanvasScaleFactor(); virtual;` |  |
`end;`

## Inheritance

`TWSControl` |  |
`TWSLCLComponent`
?
`TObject`

## Description

TWSControl is a TWSLCLComponent descendant.